import { agSelectRendererStyles, SelectRenderer as FoundationAgSelectRenderer, getSelectRendererTemplate, } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-select-renderer
 */
export class ZeroAgSelectRenderer extends FoundationAgSelectRenderer {
}
/**
 * The Zero Select Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-select-renderer\>
 */
export const zeroAgSelectRenderer = ZeroAgSelectRenderer.compose({
    baseName: 'select-renderer',
    styles: agSelectRendererStyles,
    template: getSelectRendererTemplate('zero'),
});
